Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationFactory.DigesterConfigurationFactory

    java.lang.Object
      org.apache.commons.digester.AbstractObjectCreationFactory
          org.apache.commons.configuration.ConfigurationFactory.DigesterConfigurationFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

Direct Known Subclasses:
  ConfigurationFactory.FileConfigurationFactory

Enclosing class:
  ConfigurationFactory

    public class ConfigurationFactory.DigesterConfigurationFactory

extends org.apache.commons.digester.AbstractObjectCreationFactory

A base class for digester factory classes. This base class maintains a default class for the objects to be created. There will be sub classes for specific configuration implementations.

Field Summary

Fields inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`digester`

Constructor Summary
`ConfigurationFactory.DigesterConfigurationFactory(Class clazz)` Creates a new instance of `DigesterConfigurationFactory`.

Method Summary
`Object` | `createObject(Attributes attribs)` Creates an instance of the specified class.

Methods inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory.DigesterConfigurationFactory

    public ConfigurationFactory.DigesterConfigurationFactory(Class clazz)

  Creates a new instance of `DigesterConfigurationFactory`.

  Parameters:
    `clazz` - the class which we should instantiate

Method Detail

### createObject

    public Object createObject(Attributes attribs)
                        throws Exception

  Creates an instance of the specified class.

  Specified by:
    `createObject` in interface `org.apache.commons.digester.ObjectCreationFactory`
  Specified by:
    `createObject` in class `org.apache.commons.digester.AbstractObjectCreationFactory`
  Parameters:
    `attribs` - the attributes (ignored)
  Returns:
    the new object
  Throws:
    `Exception` - if object creation fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.